<?php require 'auth.php' ?>
<?php

function getURL($param = array()) {
	$params = '';
	foreach($_GET as $name => $value) {
		if (!array_key_exists($name, $param)) {
			if (!empty($params)) $params .= '&';
			$params .= $name.'='.$value;
		}
	}
	foreach($param as $name => $value) {
		if (!empty($value)) {
			if (!empty($params)) $params .= '&';
			$params .= $name.'='.$value;
		}
	}
	return 'index.php?'.$params;
}

function getURLto($loc) {
	$param = array('action' => urlencode($loc));
	return getURL($param);
}

function msg_generic($txt, $cls) {
	$r = '<div class="'.$cls.'">';
	if (is_array($txt)) {
		$r .= '<ul>';
		foreach ($txt as $ln) {
			$r .= '<li>'.$ln.'</li>';
		}
		$r .= '</ul>';
	} else {
		$r .= $txt;
	}
	return $r.'</div>';
}

function msg_err($txt) {
	echo msg_generic($txt, 'error');
}

function msg_info($txt) {
	echo msg_generic($txt, 'info');
}

function msg_succ($txt) {
	echo msg_generic($txt, 'success');
}


//from: http://stackoverflow.com/a/2727693
function normal_chars($string)
{
    $clean_name = strtr($string, array('/' => '__', '.' => '_', 'Ö' => 'OE', 'Ä' => 'AE', 'Ü' => 'UE', 'ö' => 'oe', 'ä' => 'ae', 'ü' => 'ue', '%' => 'p', '&' => 'et', 'Þ' => 'TH', 'þ' => 'th', 'Ð' => 'DH', 'ð' => 'dh', 'ß' => 'ss', 'Œ' => 'OE', 'œ' => 'oe', 'Æ' => 'AE', 'æ' => 'ae', 'µ' => 'u'));
    $clean_name = strtr($clean_name, array('Š' => 'S', 'Ž' => 'Z', 'š' => 's', 'ž' => 'z', 'Ÿ' => 'Y', 'À' => 'A', 'Á' => 'A', 'Â' => 'A', 'Ã' => 'A', 'Ä' => 'A', 'Å' => 'A', 'Ç' => 'C', 'È' => 'E', 'É' => 'E', 'Ê' => 'E', 'Ë' => 'E', 'Ì' => 'I', 'Í' => 'I', 'Î' => 'I', 'Ï' => 'I', 'Ñ' => 'N', 'Ò' => 'O', 'Ó' => 'O', 'Ô' => 'O', 'Õ' => 'O', 'Ö' => 'O', 'Ø' => 'O', 'Ù' => 'U', 'Ú' => 'U', 'Û' => 'U', 'Ü' => 'U', 'Ý' => 'Y', 'à' => 'a', 'á' => 'a', 'â' => 'a', 'ã' => 'a', 'ä' => 'a', 'å' => 'a', 'ç' => 'c', 'è' => 'e', 'é' => 'e', 'ê' => 'e', 'ë' => 'e', 'ì' => 'i', 'í' => 'i', 'î' => 'i', 'ï' => 'i', 'ñ' => 'n', 'ò' => 'o', 'ó' => 'o', 'ô' => 'o', 'õ' => 'o', 'ö' => 'o', 'ø' => 'o', 'ù' => 'u', 'ú' => 'u', 'û' => 'u', 'ü' => 'u', 'ý' => 'y', 'ÿ' => 'y'));
    $clean_name = preg_replace(array('/\s/', '/\.[\.]+/', '/[^\w_\.\-]/'), array('_', '.', ''), $clean_name);
    return $clean_name;
}

?>
<?php

if (isset($_GET['action']) && $_GET['action'] == 'logout') {
	header('Location: logout.php');
}


switch (empty($_GET['action']) ? '' : $_GET['action']) {

case 'berichte':
    include 'module/'.'berichte.php';
    break;

case 'miniplan':
	include 'module/'.'miniplan.php';
	break;

case 'lektorenplan':
	include 'module/'.'lektorenplan.php';
	break;
	
case 'wochenzettel':
	include 'module/'.'wochenzettel.php';
	break;

case 'pfarrbrief':
	include 'module/'.'pfarrbrief.php';
	break;

case 'taufen':
	include 'module/'.'taufen.php';
	break;

case 'trauungen':
	include 'module/'.'trauungen.php';
	break;

case "todes":
	include 'module/'.'todes.php';
	break;

default:
	function render_content() {
		echo "Bitte auswählen.";
	}
	break;

}

?>
<!DOCTYPE HTML>
<html>
<head>
	<meta charset="utf-8" />
	<title>Pfarre Lacken</title>
	<link href="style.css" type="text/css" rel="stylesheet">
	<link href="../css/smoothness/jquery-ui-1.10.3.custom.css" rel="stylesheet">
	<link href="../css/jquery-ui-timepicker-addon.css" rel="stylesheet">
	<script src="../js/jquery-1.10.2.js"></script>
	<script src="../js/jquery.ui.datepicker-de.js"></script>
	<script src="../js/jquery-ui-1.10.3.custom.js"></script>
	<script src="../js/jquery-ui-timepicker-addon.js"></script>
    <?php if (function_exists("render_head")) render_head(); ?>
</head>
<body>
<h1 id="title">Pfarre Lacken</h1>
<div id="menu">
<ul>
<li><a href="<?php echo getURLto('berichte'); ?>">Berichte</a></li>
<br/>
<li><a href="<?php echo getURLto('wochenzettel'); ?>">Wochenzettel</a></li>
<li><a href="<?php echo getURLto('miniplan'); ?>">Ministrantenplan</a></li>
<li><a href="<?php echo getURLto('lektorenplan'); ?>">Lektorenplan</a></li>
<li><a href="<?php echo getURLto('pfarrbrief'); ?>">Pfarrbrief</a></li>
<br/>
<li><a href="<?php echo getURLto('taufen'); ?>">Taufen</a></li>
<li><a href="<?php echo getURLto('trauungen'); ?>">Hochzeiten</a></li>
<li><a href="<?php echo getURLto('todes'); ?>">Todesfälle</a></li>
<br/>
<li><a href="<?php echo getURLto('logout'); ?>">Abmelden</a></li>
</ul>
</div>



<div id="content">
<?php
if (function_exists("render_content")) render_content();
else echo "<b>Kein Inhalt</b>";
?>
</div>

<div style="clear:both;"></div>
<div id="footer">
&copy; 2013 Pfarre Lacken
</div>
</body>
</html>